FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Please give me your LTO-4 or better tape library and I'll put it to good use.
Port details
ruby-poppler Ruby binding for Poppler
1.1.5_1 x11-toolkits Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port
Deprecated DEPRECATED: Use rubygem-poppler instead
Expired This port expired on: 2014-03-23
Maintainer: ruby@FreeBSD.org search for ports maintained by this maintainer
Port Added: 27 Nov 2010 03:33:44
Also Listed In: ruby
License: not specified in port
Ruby/Poppler is a Ruby binding for Poppler.

WWW: http://ruby-gnome2.sourceforge.jp/
SVNWeb : Homepage : Distfiles Availability : PortsMon
Master port: x11/ruby-gnome2

NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. rubygem-pkg-config>=1.0.7 : devel/rubygem-pkg-config
  2. ruby19 : lang/ruby19
Runtime dependencies:
  1. rubygem-pkg-config>=1.0.7 : devel/rubygem-pkg-config
  2. ruby19 : lang/ruby19
Library dependencies:
  1. libpoppler-glib.so : graphics/poppler-glib
NOTE: dependencies for deleted ports are notoriously suspect

This port is required by:

for Run * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

No installation instructions: this port has been deleted.

The package name of this deleted port was: ruby19-poppler


Configuration Options
     No options to configure

Master Sites:
  1. ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/ruby/
  2. http://downloads.sourceforge.net/project/ruby-gnome2/ruby-gnome2/ruby-gnome2-1.1.5/
Port Moves
  • port deleted on 2014-03-24
    REASON: Has expired: Use rubygem-poppler instead

Number of commits found: 14

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
24 Mar 2014 18:11:45
Original commit files touched by this commit  1.1.5_1
Revision:349046
swills search for other commits by this committer
2014-03-23 accessibility/ruby-atk: Use rubygem-atk instead
2014-03-23 devel/ruby-gio2: Use rubygem-gio2 instead
2014-03-23 devel/ruby-glib2: Use rubygem-glib2 instead
2014-03-23 graphics/ruby-cairo: Use rubygem-cairo instead
2014-03-23 graphics/ruby-gdk_pixbuf2: Use rubygem-gdk_pixbuf2 instead
2014-03-23 graphics/ruby-rsvg2: Use rubygem-rsvg2 instead
2014-03-23 x11-toolkits/ruby-goocanvas: No longer included upstream
2014-03-23 x11-toolkits/ruby-gstreamer: Use rubygem-gstreamer instead
2014-03-23 x11-toolkits/ruby-gtk2: Use rubygem-gtk2 instead
2014-03-23 x11-toolkits/ruby-gtksourceview2: Use rubygem-gtksourceview2 instead
2014-03-23 x11-toolkits/ruby-pango: Use rubygem-pango instead
2014-03-23 x11-toolkits/ruby-poppler: Use rubygem-poppler instead
2014-03-23 x11-toolkits/ruby-vte: Use rubygem-vte instead
2014-03-23 x11/ruby-gnome2: Use rubygem-gnome2 instead
22 Feb 2014 23:19:29
Original commit files touched by this commit  1.1.5_1
Revision:345679
swills search for other commits by this committer
- Mark as broken with Ruby 2.0 and 2.1
- Mark deprecated in favor of rubygem- versions
27 Dec 2013 16:54:22
Original commit files touched by this commit  1.1.5_1
Revision:337749
kwm search for other commits by this committer
Update poppler to 0.24.4.

Update comment.
Use new LIB_DEPENDS syntax, use USES=pathfix.
Stagify.

Bump portrevision of all affected ports, and Update poppler* LIB_DEPENDS to
new syntax.
20 Sep 2013 23:57:48
Original commit files touched by this commit  1.1.5
Revision:327785
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
x11-toolkits)
06 Sep 2012 05:28:50
Original commit files touched by this commit  1.1.5
Revision:303740
swills search for other commits by this committer
- Convert ruby-gnome ports to proper master/slave setup
Reviewed by:	gjb
24 Jul 2012 03:08:24
Original commit files touched by this commit  1.1.4
swills search for other commits by this committer
- Update ruby-gnome2 ports to 1.1.4
04 Jun 2012 21:02:59
Original commit files touched by this commit  1.1.3_1
swills search for other commits by this committer
- Update ruby-gnome ports to 1.1.3

PR:             ports/168435
Submitted by:   Makoto Kishimoto <ksmakoto@dd.iij4u.or.jp>
01 Jun 2012 05:26:28
Original commit files touched by this commit  1.0.3_1
dinoex search for other commits by this committer
- update png to 1.5.10
05 Dec 2011 22:54:11
Original commit files touched by this commit  1.0.3
swills search for other commits by this committer
- Update ruby-gnome2 to 1.0.3

PR:             ports/162139
Submitted by:   TAKATSU Tomonari <tota@freebsd.org> (based on)
Feature safe:   yes
31 Oct 2011 09:53:19
Original commit files touched by this commit  0.90.5_2
kwm search for other commits by this committer
Update poppler to 0.18.0.

The qt3 bindings are removed upstream.
The glib library lost the last gdk-pixbuf code. And rename it from
-gtk to -glib.

Thanks to:      pav for a exp-runs
                bapt for double checking the libreoffice ports
23 Aug 2011 18:36:21
Original commit files touched by this commit  0.90.5_1
kwm search for other commits by this committer
Chase poppler shlib bumps.
18 Mar 2011 19:47:39
Original commit files touched by this commit  0.90.5
swills search for other commits by this committer
- Fix PLIST issues with RUBY_VER == 1.9
20 Dec 2010 02:46:25
Original commit files touched by this commit  0.90.5
pgollucci search for other commits by this committer
Clean up ruby pkg-plists:
    %%RUBY_SITEARCHLIBDIR%%
    %%RUBY_SITELIBDIR%%
    lib/ruby/site_ruby
    %%RUBY_VENDORARCHLIBDIR%%
    %%RUBY_VENDORLIBDIR%%
    lib/ruby/vendor_ruby
    lib/ruby

Above directories are owned by lang/ruby1[89] ports.

PR:         ports/153041
Tested by:  2-exp runs by pav
With Hat:   ruby@
27 Nov 2010 03:32:41
Original commit files touched by this commit  0.90.5
swills search for other commits by this committer
- Update to 0.90.5
- create ports for vte, gstreamer, gtksourceview2, poppler and goocanvas modules
- sort depends in meta port
- remove patch to ruby-gtk2 that's merged upstream
- remove old gtksourceview module which seems broken

Submitted by:   swills (myself)
Approved by:    wxs (mentor)

Number of commits found: 14

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
bind910Jul 28
bind99Jul 28
logstashJul 27
openssh-portableJul 27
chromiumJul 25
wordpress*Jul 24
wordpress*Jul 24
wordpress*Jul 24
wordpress*Jul 24
wordpress-zh_TW*Jul 24
libidnJul 23
opensaml2Jul 23
shibboleth2-spJul 23
soxJul 23
soxJul 23

32 vulnerabilities affecting 83 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 25088
Broken 201
Deprecated 107
Ignore 501
Forbidden 1
Restricted 204
No CDROM 94
Vulnerable 44
Expired 0
Set to expire 95
Interactive 0
new 24 hours 1
new 48 hours6
new 7 days32
new fortnight70
new month191

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.